
_category_map = {
    'n02119789': 0, 'n02100735': 1, 'n02110185': 2, 'n02096294': 3, 'n02102040': 4,
    'n02066245': 5, 'n02509815': 6, 'n02124075': 7, 'n02417914': 8, 'n02123394': 9,
    'n02125311': 10, 'n02423022': 11, 'n02346627': 12, 'n02077923': 13, 'n02110063': 14,
    'n02447366': 15, 'n02109047': 16, 'n02089867': 17, 'n02102177': 18, 'n02091134': 19,
    'n02092002': 20, 'n02071294': 21, 'n02442845': 22, 'n02504458': 23, 'n02092339': 24,
    'n02098105': 25, 'n02096437': 26, 'n02114712': 27, 'n02105641': 28, 'n02128925': 29,
    'n02091635': 30, 'n02088466': 31, 'n02096051': 32, 'n02117135': 33, 'n02138441': 34,
    'n02097130': 35, 'n02493509': 36, 'n02457408': 37, 'n02389026': 38, 'n02443484': 39,
    'n02110341': 40, 'n02089078': 41, 'n02086910': 42, 'n02445715': 43, 'n02093256': 44,
    'n02113978': 45, 'n02106382': 46, 'n02441942': 47, 'n02113712': 48, 'n02113186': 49,
    'n02105162': 50, 'n02415577': 51, 'n02356798': 52, 'n02488702': 53, 'n02123159': 54,
    'n02098413': 55, 'n02422699': 56, 'n02114855': 57, 'n02094433': 58, 'n02111277': 59,
    'n02132136': 60, 'n02119022': 61, 'n02091467': 62, 'n02106550': 63, 'n02422106': 64,
    'n02091831': 65, 'n02120505': 66, 'n02104365': 67, 'n02086079': 68, 'n02112706': 69,
    'n02098286': 70, 'n02095889': 71, 'n02484975': 72, 'n02137549': 73, 'n02500267': 74,
    'n02129604': 75, 'n02090721': 76, 'n02396427': 77, 'n02108000': 78, 'n02391049': 79,
    'n02412080': 80, 'n02108915': 81, 'n02480495': 82, 'n02110806': 83, 'n02128385': 84,
    'n02107683': 85, 'n02085936': 86, 'n02094114': 87, 'n02087046': 88, 'n02100583': 89,
    'n02096177': 90, 'n02494079': 91, 'n02105056': 92, 'n02101556': 93, 'n02123597': 94,
    'n02481823': 95, 'n02105505': 96, 'n02088094': 97, 'n02085782': 98, 'n02489166': 99,
    'n02364673': 100, 'n02114548': 101, 'n02134084': 102, 'n02480855': 103, 'n02090622': 104,
    'n02113624': 105, 'n02093859': 106, 'n02403003': 107, 'n02097298': 108, 'n02108551': 109,
    'n02493793': 110, 'n02107142': 111, 'n02096585': 112, 'n02107574': 113, 'n02107908': 114,
    'n02086240': 115, 'n02102973': 116, 'n02112018': 117, 'n02093647': 118, 'n02397096': 119,
    'n02437312': 120, 'n02483708': 121, 'n02097047': 122, 'n02106030': 123, 'n02099601': 124,
    'n02093991': 125, 'n02110627': 126, 'n02106166': 127, 'n02326432': 128, 'n02108089': 129,
    'n02097658': 130, 'n02088364': 131, 'n02111129': 132, 'n02100236': 133, 'n02486261': 134,
    'n02115913': 135, 'n02486410': 136, 'n02487347': 137, 'n02099849': 138, 'n02108422': 139,
    'n02104029': 140, 'n02492035': 141, 'n02110958': 142, 'n02099429': 143, 'n02094258': 144,
    'n02099267': 145, 'n02395406': 146, 'n02112350': 147, 'n02109961': 148, 'n02101388': 149,
    'n02113799': 150, 'n02095570': 151, 'n02128757': 152, 'n02101006': 153, 'n02115641': 154,
    'n02097209': 155, 'n02342885': 156, 'n02097474': 157, 'n02120079': 158, 'n02095314': 159,
    'n02088238': 160, 'n02408429': 161, 'n02133161': 162, 'n02328150': 163, 'n02410509': 164,
    'n02492660': 165, 'n02398521': 166, 'n02112137': 167, 'n02510455': 168, 'n02093428': 169,
    'n02105855': 170, 'n02111500': 171, 'n02085620': 172, 'n02123045': 173, 'n02490219': 174,
    'n02099712': 175, 'n02109525': 176, 'n02454379': 177, 'n02111889': 178, 'n02088632': 179,
    'n02090379': 180, 'n02443114': 181, 'n02361337': 182, 'n02105412': 183, 'n02483362': 184,
    'n02437616': 185, 'n02107312': 186, 'n02325366': 187, 'n02091032': 188, 'n02129165': 189,
    'n02102318': 190, 'n02100877': 191, 'n02074367': 192, 'n02504013': 193, 'n02363005': 194,
    'n02102480': 195, 'n02113023': 196, 'n02086646': 197, 'n02497673': 198, 'n02087394': 199,
    'n02127052': 200, 'n02116738': 201, 'n02488291': 202, 'n02091244': 203, 'n02114367': 204,
    'n02130308': 205, 'n02089973': 206, 'n02105251': 207, 'n02134418': 208, 'n02093754': 209,
    'n02106662': 210, 'n02444819': 211, 'n01882714': 212, 'n01871265': 213, 'n01872401': 214,
    'n01877812': 215, 'n01873310': 216, 'n01883070': 217, 'n04086273': 218, 'n04507155': 219,
    'n04147183': 220, 'n04254680': 221, 'n02672831': 222, 'n02219486': 223, 'n02317335': 224,
    'n01968897': 225, 'n03452741': 226, 'n03642806': 227, 'n07745940': 228, 'n02690373': 229,
    'n04552348': 230, 'n02692877': 231, 'n02782093': 232, 'n04266014': 233, 'n03344393': 234,
    'n03447447': 235, 'n04273569': 236, 'n03662601': 237, 'n02951358': 238, 'n04612504': 239,
    'n02981792': 240, 'n04483307': 241, 'n03095699': 242, 'n03673027': 243, 'n03947888': 244,
    'n02687172': 245, 'n04347754': 246, 'n04606251': 247, 'n03478589': 248, 'n04389033': 249,
    'n03773504': 250, 'n02860847': 251, 'n03218198': 252, 'n02835271': 253, 'n03792782': 254,
    'n03393912': 255, 'n03895866': 256, 'n02797295': 257, 'n04204347': 258, 'n03791053': 259,
    'n03384352': 260, 'n03272562': 261, 'n04310018': 262, 'n02704792': 263, 'n02701002': 264,
    'n02814533': 265, 'n02930766': 266, 'n03100240': 267, 'n03594945': 268, 'n03670208': 269,
    'n03770679': 270, 'n03777568': 271, 'n04037443': 272, 'n04285008': 273, 'n03444034': 274,
    'n03445924': 275, 'n03785016': 276, 'n04252225': 277, 'n03345487': 278, 'n03417042': 279,
    'n03930630': 280, 'n04461696': 281, 'n04467665': 282, 'n03796401': 283, 'n03977966': 284,
    'n04065272': 285, 'n04335435': 286, 'n04252077': 287, 'n04465501': 288, 'n03776460': 289,
    'n04482393': 290, 'n04509417': 291, 'n03538406': 292, 'n03599486': 293, 'n03868242': 294,
    'n02804414': 295, 'n03125729': 296, 'n03131574': 297, 'n03388549': 298, 'n02870880': 299,
    'n03018349': 300, 'n03742115': 301, 'n03016953': 302, 'n04380533': 303, 'n03337140': 304,
    'n03891251': 305, 'n02791124': 306, 'n04429376': 307, 'n03376595': 308, 'n04099969': 309,
    'n04344873': 310, 'n04447861': 311, 'n03179701': 312, 'n03982430': 313, 'n03201208': 314,
    'n03290653': 315, 'n04550184': 316, 'n07742313': 317, 'n07747607': 318, 'n07749582': 319,
    'n07753113': 320, 'n07753275': 321, 'n07753592': 322, 'n07754684': 323, 'n07760859': 324,
    'n07768694': 325, 'n12267677': 326, 'n12620546': 327, 'n13133613': 328, 'n11879895': 329,
    'n12144580': 330, 'n12768682': 331, 'n03854065': 332, 'n04515003': 333, 'n03017168': 334,
    'n03249569': 335, 'n03447721': 336, 'n03720891': 337, 'n03721384': 338, 'n04311174': 339,
    'n02787622': 340, 'n02992211': 341, 'n04536866': 342, 'n03495258': 343, 'n02676566': 344,
    'n03272010': 345, 'n03110669': 346, 'n03394916': 347, 'n04487394': 348, 'n03494278': 349,
    'n03840681': 350, 'n03884397': 351, 'n02804610': 352, 'n03838899': 353, 'n04141076': 354,
    'n03372029': 355, 'n11939491': 356, 'n12057211': 357, 'n09246464': 358, 'n09468604': 359,
    'n09193705': 360, 'n09472597': 361, 'n09399592': 362, 'n09421951': 363, 'n09256479': 364,
    'n09332890': 365, 'n09428293': 366, 'n09288635': 367, 'n03498962': 368, 'n03041632': 369,
    'n03658185': 370, 'n03954731': 371, 'n03995372': 372, 'n03649909': 373, 'n03481172': 374,
    'n03109150': 375, 'n02951585': 376, 'n03970156': 377, 'n04154565': 378, 'n04208210': 379,
    'n03967562': 380, 'n03000684': 381, 'n01514668': 382, 'n01514859': 383, 'n01518878': 384,
    'n01530575': 385, 'n01531178': 386, 'n01532829': 387, 'n01534433': 388, 'n01537544': 389,
    'n01558993': 390, 'n01560419': 391, 'n01580077': 392, 'n01582220': 393, 'n01592084': 394,
    'n01601694': 395, 'n01608432': 396, 'n01614925': 397, 'n01616318': 398, 'n01622779': 399,
    'n01795545': 400, 'n01796340': 401, 'n01797886': 402, 'n01798484': 403, 'n01806143': 404,
    'n01806567': 405, 'n01807496': 406, 'n01817953': 407, 'n01818515': 408, 'n01819313': 409,
    'n01820546': 410, 'n01824575': 411, 'n01828970': 412, 'n01829413': 413, 'n01833805': 414,
    'n01843065': 415, 'n01843383': 416, 'n01847000': 417, 'n01855032': 418, 'n01855672': 419,
    'n01860187': 420, 'n02002556': 421, 'n02002724': 422, 'n02006656': 423, 'n02007558': 424,
    'n02009912': 425, 'n02009229': 426, 'n02011460': 427, 'n02012849': 428, 'n02013706': 429,
    'n02018207': 430, 'n02018795': 431, 'n02025239': 432, 'n02027492': 433, 'n02028035': 434,
    'n02033041': 435, 'n02037110': 436, 'n02017213': 437, 'n02051845': 438, 'n02056570': 439,
    'n02058221': 440, 'n01484850': 441, 'n01491361': 442, 'n01494475': 443, 'n01496331': 444,
    'n01498041': 445, 'n02514041': 446, 'n02536864': 447, 'n01440764': 448, 'n01443537': 449,
    'n02526121': 450, 'n02606052': 451, 'n02607072': 452, 'n02643566': 453, 'n02655020': 454,
    'n02640242': 455, 'n02641379': 456, 'n01664065': 457, 'n01665541': 458, 'n01667114': 459,
    'n01667778': 460, 'n01669191': 461, 'n01675722': 462, 'n01677366': 463, 'n01682714': 464,
    'n01685808': 465, 'n01687978': 466, 'n01688243': 467, 'n01689811': 468, 'n01692333': 469,
    'n01693334': 470, 'n01694178': 471, 'n01695060': 472, 'n01704323': 473, 'n01697457': 474,
    'n01698640': 475, 'n01728572': 476, 'n01728920': 477, 'n01729322': 478, 'n01729977': 479,
    'n01734418': 480, 'n01735189': 481, 'n01737021': 482, 'n01739381': 483, 'n01740131': 484,
    'n01742172': 485, 'n01744401': 486, 'n01748264': 487, 'n01749939': 488, 'n01751748': 489,
    'n01753488': 490, 'n01755581': 491, 'n01756291': 492, 'n01629819': 493, 'n01630670': 494,
    'n01631663': 495, 'n01632458': 496, 'n01632777': 497, 'n01641577': 498, 'n01644373': 499,
    'n01644900': 500, 'n04579432': 501, 'n04592741': 502, 'n03876231': 503, 'n03483316': 504,
    'n03868863': 505, 'n04251144': 506, 'n03691459': 507, 'n03759954': 508, 'n04152593': 509,
    'n03793489': 510, 'n03271574': 511, 'n03843555': 512, 'n04332243': 513, 'n04265275': 514,
    'n04330267': 515, 'n03467068': 516, 'n02794156': 517, 'n04118776': 518, 'n03841143': 519,
    'n04141975': 520, 'n02708093': 521, 'n03196217': 522, 'n04548280': 523, 'n03544143': 524,
    'n04355338': 525, 'n03891332': 526, 'n04328186': 527, 'n03197337': 528, 'n04317175': 529,
    'n04376876': 530, 'n03706229': 531, 'n02841315': 532, 'n04009552': 533, 'n04356056': 534,
    'n03692522': 535, 'n04044716': 536, 'n02879718': 537, 'n02950826': 538, 'n02749479': 539,
    'n04090263': 540, 'n04008634': 541, 'n03085013': 542, 'n04505470': 543, 'n03126707': 544,
    'n03666591': 545, 'n02666196': 546, 'n02977058': 547, 'n04238763': 548, 'n03180011': 549,
    'n03485407': 550, 'n03832673': 551, 'n06359193': 552, 'n03496892': 553, 'n04428191': 554,
    'n04004767': 555, 'n04243546': 556, 'n04525305': 557, 'n04179913': 558, 'n03602883': 559,
    'n04372370': 560, 'n03532672': 561, 'n02974003': 562, 'n03874293': 563, 'n03944341': 564,
    'n03992509': 565, 'n03425413': 566, 'n02966193': 567, 'n04371774': 568, 'n04067472': 569,
    'n04040759': 570, 'n04019541': 571, 'n03492542': 572, 'n04355933': 573, 'n03929660': 574,
    'n02965783': 575, 'n04258138': 576, 'n04074963': 577, 'n03208938': 578, 'n02910353': 579,
    'n03476684': 580, 'n03627232': 581, 'n03075370': 582, 'n03874599': 583, 'n03804744': 584,
    'n04127249': 585, 'n04153751': 586, 'n03803284': 587, 'n04162706': 588, 'n04228054': 589,
    'n02948072': 590, 'n03590841': 591, 'n04286575': 592, 'n04456115': 593, 'n03814639': 594,
    'n03933933': 595, 'n04485082': 596, 'n03733131': 597, 'n03794056': 598, 'n04275548': 599,
    'n01768244': 600, 'n01770081': 601, 'n01770393': 602, 'n01773157': 603, 'n01773549': 604,
    'n01773797': 605, 'n01774384': 606, 'n01774750': 607, 'n01775062': 608, 'n01776313': 609,
    'n01784675': 610, 'n01990800': 611, 'n01978287': 612, 'n01978455': 613, 'n01980166': 614,
    'n01981276': 615, 'n01983481': 616, 'n01984695': 617, 'n01985128': 618, 'n01986214': 619,
    'n02165105': 620, 'n02165456': 621, 'n02167151': 622, 'n02168699': 623, 'n02169497': 624,
    'n02172182': 625, 'n02174001': 626, 'n02177972': 627, 'n02190166': 628, 'n02206856': 629,
    'n02226429': 630, 'n02229544': 631, 'n02231487': 632, 'n02233338': 633, 'n02236044': 634,
    'n02256656': 635, 'n02259212': 636, 'n02264363': 637, 'n02268443': 638, 'n02268853': 639,
    'n02276258': 640, 'n02277742': 641, 'n02279972': 642, 'n02280649': 643, 'n02281406': 644,
    'n02281787': 645, 'n01910747': 646, 'n01914609': 647, 'n01917289': 648, 'n01924916': 649,
    'n01930112': 650, 'n01943899': 651, 'n01944390': 652, 'n01945685': 653, 'n01950731': 654,
    'n01955084': 655, 'n02319095': 656, 'n02321529': 657, 'n03584829': 658, 'n03297495': 659,
    'n03761084': 660, 'n03259280': 661, 'n04111531': 662, 'n04442312': 663, 'n04542943': 664,
    'n04517823': 665, 'n03207941': 666, 'n04070727': 667, 'n04554684': 668, 'n03133878': 669,
    'n03400231': 670, 'n04596742': 671, 'n02939185': 672, 'n03063689': 673, 'n04398044': 674,
    'n04270147': 675, 'n02699494': 676, 'n04486054': 677, 'n03899768': 678, 'n04311004': 679,
    'n04366367': 680, 'n04532670': 681, 'n02793495': 682, 'n03457902': 683, 'n03877845': 684,
    'n03781244': 685, 'n03661043': 686, 'n02727426': 687, 'n02859443': 688, 'n03028079': 689,
    'n03788195': 690, 'n04346328': 691, 'n03956157': 692, 'n04081281': 693, 'n03032252': 694,
    'n03529860': 695, 'n03697007': 696, 'n03065424': 697, 'n03837869': 698, 'n04458633': 699,
    'n02980441': 700, 'n04005630': 701, 'n03461385': 702, 'n02776631': 703, 'n02791270': 704,
    'n02871525': 705, 'n02927161': 706, 'n03089624': 707, 'n04200800': 708, 'n04443257': 709,
    'n04462240': 710, 'n03388043': 711, 'n03042490': 712, 'n04613696': 713, 'n03216828': 714,
    'n02892201': 715, 'n03743016': 716, 'n02788148': 717, 'n02894605': 718, 'n03160309': 719,
    'n03000134': 720, 'n03930313': 721, 'n04604644': 722, 'n04326547': 723, 'n03459775': 724,
    'n04239074': 725, 'n04501370': 726, 'n03792972': 727, 'n04149813': 728, 'n03530642': 729,
    'n03961711': 730, 'n03903868': 731, 'n02814860': 732, 'n07711569': 733, 'n07720875': 734,
    'n07714571': 735, 'n07714990': 736, 'n07715103': 737, 'n07716358': 738, 'n07716906': 739,
    'n07717410': 740, 'n07717556': 741, 'n07718472': 742, 'n07718747': 743, 'n07730033': 744,
    'n07734744': 745, 'n04209239': 746, 'n03594734': 747, 'n02971356': 748, 'n03485794': 749,
    'n04133789': 750, 'n02747177': 751, 'n04125021': 752, 'n07579787': 753, 'n03814906': 754,
    'n03134739': 755, 'n03404251': 756, 'n04423845': 757, 'n03877472': 758, 'n04120489': 759,
    'n03062245': 760, 'n03014705': 761, 'n03717622': 762, 'n03777754': 763, 'n04493381': 764,
    'n04476259': 765, 'n02777292': 766, 'n07693725': 767, 'n03998194': 768, 'n03617480': 769,
    'n07590611': 770, 'n04579145': 771, 'n03623198': 772, 'n07248320': 773, 'n04277352': 774,
    'n04229816': 775, 'n02823428': 776, 'n03127747': 777, 'n02877765': 778, 'n04435653': 779,
    'n03724870': 780, 'n03710637': 781, 'n03920288': 782, 'n03379051': 783, 'n02807133': 784,
    'n04399382': 785, 'n03527444': 786, 'n03983396': 787, 'n03924679': 788, 'n04532106': 789,
    'n06785654': 790, 'n03445777': 791, 'n07613480': 792, 'n04350905': 793, 'n04562935': 794,
    'n03325584': 795, 'n03045698': 796, 'n07892512': 797, 'n03250847': 798, 'n04192698': 799,
    'n03026506': 800, 'n03534580': 801, 'n07565083': 802, 'n04296562': 803, 'n02869837': 804,
    'n07871810': 805, 'n02799071': 806, 'n03314780': 807, 'n04141327': 808, 'n04357314': 809,
    'n02823750': 810, 'n13052670': 811, 'n07583066': 812, 'n03637318': 813, 'n04599235': 814,
    'n07802026': 815, 'n02883205': 816, 'n03709823': 817, 'n04560804': 818, 'n02909870': 819,
    'n03207743': 820, 'n04263257': 821, 'n07932039': 822, 'n03786901': 823, 'n04479046': 824,
    'n03873416': 825, 'n02999410': 826, 'n04367480': 827, 'n03775546': 828, 'n07875152': 829,
    'n04591713': 830, 'n04201297': 831, 'n02916936': 832, 'n03240683': 833, 'n02840245': 834,
    'n02963159': 835, 'n04370456': 836, 'n03991062': 837, 'n02843684': 838, 'n03482405': 839,
    'n03942813': 840, 'n03908618': 841, 'n03902125': 842, 'n07584110': 843, 'n02730930': 844,
    'n04023962': 845, 'n02769748': 846, 'n10148035': 847, 'n02817516': 848, 'n03908714': 849,
    'n02906734': 850, 'n03788365': 851, 'n02667093': 852, 'n03787032': 853, 'n03980874': 854,
    'n03141823': 855, 'n03976467': 856, 'n04264628': 857, 'n07930864': 858, 'n04039381': 859,
    'n06874185': 860, 'n04033901': 861, 'n04041544': 862, 'n07860988': 863, 'n03146219': 864,
    'n03763968': 865, 'n03676483': 866, 'n04209133': 867, 'n03782006': 868, 'n03857828': 869,
    'n03775071': 870, 'n02892767': 871, 'n07684084': 872, 'n04522168': 873, 'n03764736': 874,
    'n04118538': 875, 'n03887697': 876, 'n13044778': 877, 'n03291819': 878, 'n03770439': 879,
    'n03124170': 880, 'n04487081': 881, 'n03916031': 882, 'n02808440': 883, 'n07697537': 884,
    'n12985857': 885, 'n02917067': 886, 'n03938244': 887, 'n15075141': 888, 'n02978881': 889,
    'n02966687': 890, 'n03633091': 891, 'n13040303': 892, 'n03690938': 893, 'n03476991': 894,
    'n02669723': 895, 'n03220513': 896, 'n03127925': 897, 'n04584207': 898, 'n07880968': 899,
    'n03937543': 900, 'n03000247': 901, 'n04418357': 902, 'n04590129': 903, 'n02795169': 904,
    'n04553703': 905, 'n02783161': 906, 'n02802426': 907, 'n02808304': 908, 'n03124043': 909,
    'n03450230': 910, 'n04589890': 911, 'n12998815': 912, 'n02992529': 913, 'n03825788': 914,
    'n02790996': 915, 'n03710193': 916, 'n03630383': 917, 'n03347037': 918, 'n03769881': 919,
    'n03871628': 920, 'n03733281': 921, 'n03976657': 922, 'n03535780': 923, 'n04259630': 924,
    'n03929855': 925, 'n04049303': 926, 'n04548362': 927, 'n02979186': 928, 'n06596364': 929,
    'n03935335': 930, 'n06794110': 931, 'n02825657': 932, 'n03388183': 933, 'n04591157': 934,
    'n04540053': 935, 'n03866082': 936, 'n04136333': 937, 'n04026417': 938, 'n02865351': 939,
    'n02834397': 940, 'n03888257': 941, 'n04235860': 942, 'n04404412': 943, 'n04371430': 944,
    'n03733805': 945, 'n07920052': 946, 'n07873807': 947, 'n02895154': 948, 'n04204238': 949,
    'n04597913': 950, 'n04131690': 951, 'n07836838': 952, 'n09835506': 953, 'n03443371': 954,
    'n13037406': 955, 'n04336792': 956, 'n04557648': 957, 'n03187595': 958, 'n04254120': 959,
    'n03595614': 960, 'n04146614': 961, 'n03598930': 962, 'n03958227': 963, 'n04069434': 964,
    'n03188531': 965, 'n02786058': 966, 'n07615774': 967, 'n04525038': 968, 'n04409515': 969,
    'n03424325': 970, 'n03223299': 971, 'n03680355': 972, 'n07614500': 973, 'n07695742': 974,
    'n04033995': 975, 'n03710721': 976, 'n04392985': 977, 'n03047690': 978, 'n03584254': 979,
    'n13054560': 980, 'n10565667': 981, 'n03950228': 982, 'n03729826': 983, 'n02837789': 984,
    'n04254777': 985, 'n02988304': 986, 'n03657121': 987, 'n04417672': 988, 'n04523525': 989,
    'n02815834': 990, 'n09229709': 991, 'n07697313': 992, 'n03888605': 993, 'n03355925': 994,
    'n03063599': 995, 'n04116512': 996, 'n04325704': 997, 'n07831146': 998, 'n03255030': 999
}

_validation_blacklist = {
    35, 49, 55, 102, 126, 194, 198, 225, 229, 234,
    250, 253, 287, 396, 484, 542, 555, 600, 604, 651,
    652, 662, 665, 696, 698, 704, 744, 773, 814, 815,
    844, 847, 950, 976, 1005, 1007, 1017, 1055, 1065, 1078,
    1101, 1127, 1132, 1187, 1192, 1193, 1265, 1270, 1371, 1381,
    1404, 1425, 1429, 1440, 1476, 1501, 1517, 1605, 1620, 1641,
    1657, 1715, 1721, 1733, 1749, 1806, 1879, 1881, 1935, 1950,
    1969, 1976, 1982, 2085, 2111, 2145, 2151, 2216, 2303, 2320,
    2403, 2525, 2553, 2562, 2646, 2674, 2731, 2732, 2826, 2838,
    2853, 2864, 2871, 2879, 2885, 2892, 2914, 2972, 2992, 3018,
    3019, 3043, 3046, 3048, 3116, 3166, 3196, 3200, 3281, 3310,
    3314, 3343, 3344, 3377, 3424, 3476, 3496, 3513, 3524, 3530,
    3586, 3636, 3649, 3656, 3685, 3719, 3731, 3797, 3801, 3822,
    3846, 3970, 4006, 4058, 4071, 4086, 4098, 4123, 4125, 4155,
    4194, 4196, 4240, 4274, 4320, 4332, 4351, 4355, 4367, 4376,
    4427, 4439, 4496, 4508, 4512, 4525, 4527, 4564, 4569, 4595,
    4632, 4676, 4695, 4742, 4758, 4777, 4834, 4975, 5031, 5057,
    5060, 5065, 5139, 5144, 5176, 5196, 5218, 5225, 5227, 5239,
    5288, 5291, 5384, 5432, 5444, 5447, 5464, 5487, 5548, 5552,
    5608, 5637, 5665, 5682, 5710, 5728, 5759, 5792, 5818, 5836,
    5854, 5857, 5960, 5965, 6047, 6196, 6198, 6200, 6205, 6214,
    6219, 6263, 6277, 6279, 6304, 6387, 6410, 6465, 6489, 6508,
    6522, 6528, 6624, 6753, 6817, 6885, 6889, 6892, 6901, 6911,
    6941, 7066, 7140, 7143, 7213, 7216, 7277, 7311, 7319, 7328,
    7341, 7344, 7368, 7407, 7427, 7462, 7555, 7556, 7581, 7612,
    7620, 7623, 7646, 7670, 7678, 7733, 7735, 7746, 7749, 7776,
    7850, 7853, 7882, 7888, 7901, 7984, 7998, 8069, 8086, 8095,
    8099, 8127, 8179, 8194, 8366, 8376, 8464, 8496, 8507, 8527,
    8537, 8580, 8656, 8691, 8741, 8783, 8838, 8860, 8911, 8969,
    8981, 8986, 9102, 9154, 9179, 9247, 9283, 9299, 9356, 9381,
    9413, 9449, 9462, 9492, 9521, 9542, 9562, 9629, 9642, 9652,
    9692, 9746, 9786, 9846, 9850, 9891, 9912, 9928, 9964, 10025,
    10026, 10054, 10153, 10188, 10242, 10296, 10336, 10345, 10346, 10376,
    10402, 10482, 10517, 10539, 10558, 10566, 10567, 10579, 10605, 10614,
    10617, 10644, 10684, 10706, 10709, 10806, 10836, 10855, 10872, 10988,
    11045, 11053, 11131, 11162, 11217, 11242, 11254, 11264, 11291, 11305,
    11306, 11309, 11342, 11348, 11406, 11410, 11421, 11426, 11430, 11438,
    11495, 11643, 11661, 11689, 11691, 11724, 11742, 11766, 11811, 11866,
    11870, 11896, 11974, 12000, 12045, 12075, 12118, 12157, 12215, 12251,
    12260, 12263, 12292, 12295, 12305, 12356, 12357, 12370, 12414, 12421,
    12471, 12496, 12498, 12537, 12539, 12543, 12568, 12644, 12646, 12651,
    12698, 12726, 12749, 12831, 12848, 12872, 12888, 12901, 12995, 13028,
    13064, 13072, 13074, 13078, 13267, 13337, 13371, 13528, 13529, 13536,
    13622, 13625, 13636, 13643, 13645, 13680, 13777, 13781, 13804, 13845,
    13852, 13880, 13913, 13960, 13974, 13978, 14010, 14134, 14142, 14143,
    14160, 14169, 14206, 14211, 14214, 14259, 14310, 14367, 14372, 14399,
    14508, 14522, 14565, 14593, 14627, 14628, 14632, 14648, 14651, 14704,
    14708, 14731, 14733, 14801, 14833, 14864, 14882, 14932, 14964, 15002,
    15099, 15158, 15177, 15271, 15288, 15307, 15318, 15326, 15352, 15356,
    15362, 15407, 15428, 15437, 15468, 15484, 15494, 15500, 15523, 15529,
    15550, 15597, 15612, 15613, 15630, 15645, 15646, 15660, 15678, 15683,
    15757, 15774, 15825, 15837, 15839, 15930, 15939, 15968, 15975, 16002,
    16036, 16044, 16115, 16199, 16232, 16246, 16338, 16339, 16344, 16360,
    16399, 16407, 16429, 16467, 16473, 16499, 16520, 16564, 16568, 16583,
    16612, 16644, 16661, 16670, 16718, 16723, 16759, 16763, 16804, 16848,
    16892, 16895, 16953, 16978, 17022, 17025, 17033, 17037, 17048, 17053,
    17060, 17072, 17073, 17132, 17162, 17175, 17176, 17216, 17236, 17245,
    17297, 17311, 17323, 17336, 17364, 17414, 17441, 17448, 17575, 17577,
    17580, 17587, 17588, 17590, 17592, 17604, 17660, 17687, 17688, 17694,
    17696, 17702, 17735, 17745, 17757, 17787, 17797, 17827, 17840, 17883,
    17897, 17923, 17955, 17959, 18000, 18012, 18024, 18051, 18096, 18105,
    18157, 18210, 18222, 18239, 18260, 18265, 18296, 18324, 18328, 18334,
    18339, 18350, 18432, 18461, 18465, 18523, 18568, 18580, 18630, 18695,
    18747, 18765, 18786, 18792, 18949, 18960, 19000, 19007, 19010, 19153,
    19176, 19216, 19254, 19285, 19319, 19332, 19359, 19402, 19406, 19418,
    19463, 19498, 19509, 19518, 19554, 19563, 19604, 19609, 19688, 19698,
    19704, 19706, 19724, 19731, 19740, 19773, 19798, 19837, 19876, 19902,
    19939, 19944, 19951, 19972, 19986, 20023, 20085, 20110, 20113, 20173,
    20192, 20200, 20244, 20298, 20328, 20438, 20484, 20533, 20561, 20574,
    20577, 20600, 20603, 20604, 20647, 20657, 20664, 20676, 20692, 20696,
    20698, 20790, 20793, 20807, 20875, 20889, 20905, 20913, 20989, 21064,
    21127, 21143, 21150, 21155, 21174, 21198, 21203, 21206, 21224, 21235,
    21240, 21341, 21350, 21428, 21532, 21549, 21621, 21675, 21726, 21763,
    21784, 21821, 21829, 21844, 21852, 21866, 21908, 21909, 21922, 21923,
    21936, 21947, 21954, 21961, 22007, 22016, 22025, 22036, 22071, 22074,
    22134, 22137, 22159, 22166, 22189, 22286, 22374, 22439, 22456, 22459,
    22470, 22480, 22483, 22487, 22514, 22552, 22678, 22702, 22713, 22729,
    22734, 22751, 22767, 22808, 22812, 22816, 22845, 22901, 22909, 22943,
    22985, 23025, 23052, 23064, 23087, 23116, 23123, 23125, 23131, 23141,
    23164, 23171, 23222, 23263, 23279, 23321, 23334, 23438, 23452, 23454,
    23473, 23500, 23517, 23579, 23588, 23607, 23613, 23640, 23648, 23659,
    23697, 23727, 23765, 23808, 23858, 23873, 23901, 23945, 24039, 24104,
    24131, 24136, 24150, 24152, 24156, 24170, 24270, 24280, 24295, 24302,
    24307, 24327, 24331, 24337, 24401, 24439, 24452, 24465, 24503, 24530,
    24542, 24546, 24555, 24561, 24609, 24648, 24659, 24692, 24705, 24744,
    24833, 24947, 24962, 25055, 25056, 25082, 25092, 25119, 25149, 25160,
    25196, 25218, 25219, 25252, 25256, 25289, 25326, 25331, 25343, 25386,
    25389, 25421, 25452, 25480, 25488, 25586, 25598, 25599, 25621, 25680,
    25685, 25701, 25707, 25739, 25775, 25869, 25917, 25972, 25977, 25985,
    25986, 26032, 26037, 26040, 26086, 26112, 26154, 26161, 26183, 26234,
    26298, 26300, 26317, 26363, 26382, 26429, 26510, 26527, 26560, 26617,
    26652, 26687, 26696, 26777, 26939, 26950, 27022, 27028, 27036, 27045,
    27050, 27117, 27243, 27251, 27257, 27271, 27282, 27302, 27380, 27391,
    27402, 27421, 27436, 27439, 27475, 27492, 27493, 27500, 27505, 27549,
    27558, 27570, 27580, 27595, 27603, 27611, 27664, 27686, 27700, 27710,
    27731, 27758, 27765, 27771, 27796, 27812, 27853, 27863, 27864, 27878,
    27893, 27906, 27957, 27962, 27968, 28002, 28026, 28031, 28050, 28057,
    28078, 28092, 28119, 28131, 28193, 28226, 28323, 28327, 28330, 28359,
    28372, 28418, 28430, 28435, 28450, 28466, 28470, 28526, 28540, 28587,
    28639, 28648, 28661, 28669, 28677, 28721, 28767, 28779, 28834, 28862,
    28878, 28884, 28927, 28947, 28953, 28962, 28968, 29019, 29064, 29076,
    29104, 29116, 29142, 29165, 29171, 29298, 29301, 29341, 29356, 29377,
    29409, 29410, 29413, 29414, 29446, 29472, 29487, 29498, 29504, 29532,
    29536, 29600, 29636, 29649, 29666, 29670, 29680, 29685, 29707, 29720,
    29748, 29754, 29770, 29852, 29885, 29893, 29918, 29927, 29989, 30007,
    30063, 30066, 30106, 30149, 30159, 30163, 30185, 30194, 30218, 30242,
    30281, 30313, 30323, 30388, 30417, 30496, 30549, 30591, 30614, 30623,
    30639, 30649, 30694, 30719, 30740, 30749, 30750, 30766, 30829, 30855,
    30884, 30900, 30906, 30952, 30984, 31004, 31026, 31033, 31044, 31056,
    31070, 31108, 31118, 31226, 31229, 31249, 31302, 31319, 31370, 31400,
    31439, 31446, 31463, 31477, 31486, 31493, 31524, 31552, 31553, 31557,
    31571, 31587, 31638, 31640, 31682, 31697, 31703, 31707, 31716, 31721,
    31780, 31785, 31787, 31790, 31802, 31849, 31852, 31861, 31885, 31900,
    31943, 32019, 32047, 32051, 32072, 32093, 32115, 32146, 32179, 32211,
    32217, 32255, 32269, 32304, 32410, 32413, 32429, 32464, 32483, 32533,
    32583, 32588, 32607, 32611, 32612, 32614, 32640, 32673, 32696, 32707,
    32756, 32762, 32795, 32823, 32860, 32876, 32943, 32944, 32945, 32983,
    33003, 33011, 33028, 33049, 33089, 33095, 33096, 33123, 33138, 33160,
    33169, 33172, 33178, 33190, 33292, 33366, 33369, 33370, 33372, 33398,
    33414, 33435, 33439, 33442, 33487, 33550, 33562, 33563, 33628, 33642,
    33663, 33684, 33695, 33713, 33721, 33727, 33763, 33808, 33867, 33882,
    33912, 33941, 33955, 33993, 34080, 34088, 34090, 34097, 34177, 34206,
    34268, 34286, 34347, 34391, 34444, 34446, 34454, 34528, 34578, 34590,
    34642, 34658, 34691, 34728, 34757, 34835, 34856, 34861, 34882, 34929,
    34941, 34956, 34962, 35002, 35088, 35179, 35186, 35208, 35219, 35238,
    35246, 35252, 35262, 35379, 35392, 35393, 35407, 35451, 35484, 35485,
    35556, 35577, 35638, 35662, 35687, 35745, 35831, 35861, 35889, 35902,
    35916, 35928, 35945, 35983, 36059, 36083, 36089, 36123, 36134, 36150,
    36196, 36248, 36268, 36302, 36363, 36376, 36397, 36401, 36417, 36420,
    36434, 36498, 36510, 36520, 36543, 36555, 36600, 36626, 36639, 36659,
    36672, 36675, 36786, 36789, 36796, 36820, 36839, 36900, 36920, 36933,
    37005, 37040, 37050, 37111, 37159, 37166, 37212, 37230, 37241, 37273,
    37312, 37331, 37390, 37415, 37521, 37593, 37620, 37663, 37698, 37730,
    37914, 37967, 38029, 38069, 38116, 38127, 38134, 38171, 38183, 38223,
    38276, 38294, 38310, 38427, 38463, 38528, 38548, 38598, 38622, 38672,
    38680, 38712, 38721, 38725, 38761, 38866, 38871, 38943, 38946, 39014,
    39022, 39027, 39042, 39067, 39079, 39096, 39117, 39170, 39196, 39235,
    39253, 39270, 39276, 39279, 39335, 39337, 39339, 39340, 39357, 39363,
    39496, 39502, 39536, 39540, 39558, 39559, 39561, 39595, 39599, 39612,
    39622, 39655, 39669, 39780, 39809, 39831, 39860, 39874, 39891, 39917,
    39918, 40007, 40015, 40081, 40090, 40094, 40163, 40212, 40233, 40273,
    40278, 40323, 40331, 40340, 40348, 40364, 40437, 40445, 40481, 40500,
    40509, 40515, 40540, 40543, 40544, 40573, 40616, 40658, 40667, 40741,
    40753, 40757, 40763, 40764, 40794, 40857, 40900, 40984, 40985, 41079,
    41111, 41120, 41135, 41195, 41198, 41218, 41232, 41245, 41277, 41375,
    41400, 41408, 41433, 41469, 41491, 41501, 41516, 41570, 41571, 41607,
    41647, 41698, 41772, 41778, 41800, 41836, 41842, 41848, 41854, 41872,
    41880, 41900, 41923, 41925, 41934, 41961, 42007, 42061, 42068, 42071,
    42093, 42096, 42103, 42111, 42116, 42136, 42146, 42169, 42184, 42223,
    42236, 42249, 42253, 42256, 42275, 42281, 42297, 42320, 42350, 42371,
    42377, 42419, 42445, 42452, 42465, 42469, 42501, 42513, 42517, 42526,
    42661, 42720, 42726, 42742, 42793, 42839, 42842, 42870, 42871, 42896,
    42949, 42955, 42966, 42968, 42974, 42994, 43004, 43007, 43045, 43051,
    43090, 43102, 43123, 43197, 43224, 43227, 43384, 43393, 43401, 43404,
    43407, 43422, 43502, 43528, 43556, 43646, 43655, 43703, 43705, 43713,
    43744, 43747, 43758, 43811, 43926, 43949, 43996, 43997, 44015, 44017,
    44024, 44059, 44065, 44098, 44127, 44148, 44149, 44168, 44183, 44197,
    44253, 44271, 44292, 44309, 44351, 44388, 44398, 44399, 44441, 44450,
    44469, 44473, 44521, 44568, 44589, 44712, 44737, 44786, 44822, 44828,
    44844, 44894, 44917, 44974, 45023, 45120, 45147, 45153, 45178, 45207,
    45209, 45214, 45217, 45219, 45234, 45264, 45281, 45282, 45284, 45285,
    45302, 45350, 45358, 45395, 45406, 45413, 45471, 45518, 45521, 45563,
    45620, 45640, 45659, 45677, 45694, 45695, 45709, 45779, 45799, 45822,
    45827, 45861, 45946, 45963, 46000, 46049, 46083, 46112, 46131, 46145,
    46197, 46220, 46233, 46235, 46255, 46271, 46297, 46324, 46336, 46346,
    46373, 46385, 46387, 46436, 46490, 46559, 46560, 46588, 46599, 46655,
    46659, 46663, 46672, 46689, 46699, 46807, 46808, 46827, 46917, 46962,
    46978, 46983, 47004, 47087, 47096, 47099, 47142, 47146, 47260, 47319,
    47368, 47449, 47502, 47532, 47537, 47575, 47600, 47607, 47617, 47620,
    47623, 47658, 47680, 47697, 47707, 47744, 47816, 47825, 47878, 47882,
    47916, 47936, 47956, 47999, 48022, 48075, 48098, 48129, 48132, 48280,
    48297, 48320, 48348, 48350, 48352, 48357, 48370, 48425, 48454, 48521,
    48525, 48543, 48572, 48605, 48608, 48645, 48666, 48698, 48700, 48739,
    48772, 48776, 48784, 48846, 48885, 48939, 48985, 49028, 49053, 49099,
    49120, 49136, 49156, 49190, 49221, 49290, 49314, 49346, 49373, 49375,
    49380, 49406, 49426, 49480, 49496, 49623, 49784, 49790, 49834, 49874,
    49876, 49980
}
